html,body{
    scroll-behavior: smooth;
}


.navbar-green {
    background-color: #04B446;
    opacity: 0.58;
    color: white;
}

.navbar-brown {
    background-color: #c38122;
    opacity: 0.58;
    color: white;
}

.img-banner{
    background-image: url(https://marvel-live.freetls.fastly.net/canvas/2018/9/2e4a6fba1062478db2baa80fb7551148?quality=95&fake=.png);
    background-repeat: no-repeat;
    background-size: cover;
    opacity: 0.6;
    width: 100%;
    height: 100%;
    padding-top: 80px;
}

.title2 .row{
    height: 650px;
}

.text-banner{
    position: absolute;
    padding-top: 40px;
    padding-right: 50px;
}

.my-auto {
    padding-right: 80px;
    padding-top: 80px;
    padding-bottom: 80px;
}

.title2 {
    background-color: rgba(19, 206, 102, 0.52);
    height: 608px;
}

.title3 {
    background-color: rgba(219, 157, 23, 0.52);
    height: 608px;
}

.title2 h5{
    color: #77D353;
    font-size: 31px;
    font-weight: 400;
}

.title2 h3 {
    color: #1A4E05;
}

.title2 h1 {
    color: white;
    font-size: 70px;
    font-weight: 350;
}

.title2 .btn-green{
    background-color: #77D353;
    border-radius: 5px;
    width: 221px;
    height: 55px;
    color: white;
    font-size: 23px;
    font-weight: 400;
    width: 221px;
    text-align: center;
}


.about-text {
    background-color: #04B477;
    height: 445px;
    color:white;
}


.about-word {
    margin: 60px;
}


.flex-profile{
    display : flex;
    justify-content: space-around;
    align-items:center;
    flex-wrap: wrap;
}

.about-word .name {
    color: #36ECA8;
    font-size: 4vmax;
    font-weight: 700;
    line-height: 58px;
    width: 477px;
    margin-bottom: 25px;
}

.about-word .name1 {
    color: #f3bc6d;
    font-size: 4vmax;
    font-weight: 700;
    line-height: 58px;
    width: 477px;
    margin-bottom: 25px;
}

.about-word h6 {
    color: #FFFFFF;
    font-size: calc(14px + .8vmax) ;
    font-weight: 400;
    line-height: 33px;
    margin-top: 15px;
}

.about-text i {
    margin-right: 15px;
}

.about-background h1{
    position: absolute;
    color: #7CFE8D;
    font-size: 195px;
    font-weight: 700;
    line-height: 260px;
    opacity: 0.15;
    width: 881px;
    margin-top: 65px;
}

.about-sign{
    background-image: url(https://marvel-live.freetls.fastly.net/canvas/2018/9/7991a02cbf9c4b34920adfd486cda74c?quality=95&fake=.png);
    background-size: 100%;
    background-repeat: no-repeat;
    position: absolute; 
    opacity: 0.56;
    width: 227px;
    height: 95px;
    margin-top: 300px;
    margin-left: 450px;
}

.skill{
    background-color: rgba(19, 206, 102, 0.93);
    width: 100%;
    max-height: 630px;
    padding: 0px;
    position: absolute;
}

.skill2{
    background-color: rgba(19, 206, 102, 0.93);
    width: 100%;
    padding-top: 20px;
    padding-bottom: 20px;
}

@media only screen and (max-width: 900px){
    /* .skill2{
        box-align: center;
    } */
}

.skill h1{
    color: #076F0C;
    font-size: 160px;
    font-weight: 700;
    letter-spacing: -10px;
    line-height: 208px;
    opacity: 0.21;
    width: 485px;
    text-align: left;
    margin-top: 440px;
}

.skills{
    background-color: #29EE75;
    border-radius: 100%;
    opacity: 0.6;
    min-width: 3vmax;
    min-height: 3vmax;
    margin: 14px;

}

.skills img{
    text-align: center ;
    opacity: 0.7;
    width: 76px;
    height: 76px;
    margin: 30px;
}

.status{
    background-color: #7CFE8D;
    padding:20px;
    padding-top:20px;
}

.status center{
    color: #15c149;
}

.square{
    border-radius: 100%;
    max-width: 400px;
    min-height: 282px;
    margin: 20px;
    padding: 5px
}

.square b{
    color: #FFFFFF;
    font-size: 150px;
    font-weight: 400;
    line-height: 130px;
    opacity: 0.26;
    position: absolute;
    text-align: left;
}

.square h1{
    color: #FFFFFF;
    font-size: 36px;
    font-weight: 700;
}

.square h4{
    color: #336120;
    font-size: 23px;
    font-weight: 400;
    line-height: 29px;
}

.square h5{
    color: #336120;
    font-size: 17px;
    font-weight: 400;
    line-height: 22px;
    opacity: 0.68;
    width: 214px;
}

.square .text1{
    margin-top: 10px;
}

.first{
    border-radius: 10px;
    background-color: #24D171;
}

.second{
    background-color:#04B477;
}


.exp-edu{
    width:67%;
}
.quotes{
    /* background-image: url(https://marvel-live.freetls.fastly.net/canvas/2018/9/d7ab8891e454437093f5b0fb55198fd0?quality=95&fake=.png); */
    background-color: #15c149;
    background-size: 100%;
    height: 200px;
    background-repeat: no-repeat; 
    padding: 50px;
}

#ability{
    min-height:630px;
}

.quotes h2{
    color: #FFFFFF;
    font-size: 3vmax;
    font-weight: 400;
    line-height: 45px;
    opacity: 0.82;
}

.list-inline li{
    display: inline;
}

.footer{
    background-color: #03582E;
    height: 100%;
    padding: 40px;
    color: white;
}

.footer2{
    background-color: #402703;
    height: 100%;
    padding: 40px;
    color: white;
}

.footer h5{
    font-size: calc(14px + .8vmax);
    font-weight: 500;
    letter-spacing: 1px;
    line-height: 33px;
}

.footer h7{
    font-weight: calc(14px + .4vmax);
    letter-spacing: 3px;
    line-height: 28px;
}

.footer p{
    font-size: calc(14px + .6vmax);
    font-weight: 250;
    line-height: 28px;
}

.footer img{
    opacity: 0.52;
    width: calc(40px + .8vmax);
    height: calc(40px + .8vmax);
    margin-top : 10px;
}

/* Form */
.form{
    padding-right: 8vmax;
    padding-left: 8vmax;
    padding: 3vmax;
    color: rgba(13, 204, 99, 0.726);
}

.table-form{
    padding: 1vmax;
}

/* .table-form th{
    text-align:center;
    font-size: 20px;
} */
/* Page Contact */

.my-contact{
    background-color: rgba(19, 206, 102, 0.52);
    opacity: 0.85;
    height: 220px;
}

.text-banner-contact{
    position: absolute;
    text-align: center;
    padding: 50px;
}

.text-banner-contact h1{
    color: white;
    font-size: 70px;
    font-weight: 600;
    line-height: 50px;
}

.text-banner-contact h5{
    color: #1A4E05;
    font-size: 20px;
    font-weight: 600;
    line-height: 39px;
    opacity: 0.97;
}

.img-contact{
    background-repeat: no-repeat;
    background-image: url(https://marvel-live.freetls.fastly.net/canvas/2018/9/6632f414391b4c7fb9ef86867ada0175?quality=95&fake=.png);
    height: 490px;
    background-size: cover;
    justify-content: center;
    align-content: center;
    margin-bottom: 0px;
    padding: 0px;
}

#contact-form{
    /* height:490px; */
}

#contact-form form{
    margin: 20px;
    margin-top : 60px;
}

#contact-form form button{
    background-color: rgba(19, 206, 102, 0.6);
    width: 155px;
    height: 52px;
    color:white;
    float:right;
}

.modal-style{
    text-align:center;
    opacity: 0.9;
    color: #13CE66;
}

.profile {
    background-image: url(https://marvel-live.freetls.fastly.net/canvas/2018/9/bbdac634d55947f38864918bc8304b28?quality=95&fake=.png);
    background-size: cover;
    height: 510px;
    min-width: 60%;
    margin-bottom: 0px;
    z-index: 2;
}

.profile2{
    /* background-image: linear-gradient(to right, #6c4309 , #c98a31); */
    background-image: url(https://backgroundcheckall.com/wp-content/uploads/2017/12/wooden-desk-background-5.jpg);
    height: 510px;
    min-width: 60%;
    margin-bottom: 0px;
    z-index: 2;
}

.about-img {
    background-image: url(https://marvel-live.freetls.fastly.net/canvas/2018/9/0ec4142f2e41495eba2cdc6720b17afe?quality=95&fake=.png);
    background-size: cover;
    justify-content: center;
    align-content: center;
    background-repeat: no-repeat;
    height: 510px;
    margin-bottom: 0px;
    padding: 0px;
    margin-left: -80px;
}

/* edu */
.demo{ background: #51ff89 ;  }
.main-timeline{
    position: relative;
    -webkit-transition: all 0.4s ease 0s;
    -moz-transition: all 0.4s ease 0s;
    -ms-transition: all 0.4s ease 0s;
    transition: all 0.4s ease 0s;
    margin-top: 50px;
}
.main-timeline:before{
    content: "";
    width: 3px;
    height: 100%;
    background: #15c149;
    position: absolute;
    top: 0;
    left: 50%;
}
.main-timeline .timeline{
    margin-bottom: 50px;
    position: relative;
}


.main-timeline .timeline:before,
.main-timeline .timeline:after{
    content: "";
    display: block;
    width: 100%;
    clear: both;
}
.main-timeline .timeline-icon{
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background: #15c149;
    overflow: hidden;
    margin-left: -23px;
    position: absolute;
    top: 0;
    left: 50%;
    text-align: center;
}
.main-timeline .timeline-icon i{
    font-size: 30px;
    line-height: 50px;
    color: #fff;
}
.main-timeline .timeline-content{
    width: 45%;
    padding: 20px;
    border-radius: 5px;
    background: #fff;
    -webkit-box-shadow: 0 3px 0 rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0 3px 0 rgba(0, 0, 0, 0.1);
    -ms-box-shadow: 0 3px 0 rgba(0, 0, 0, 0.1);
    box-shadow: 0 3px 0 rgba(0, 0, 0, 0.1);
    -webkit-transition: all 0.3s ease 0s;
    -moz-transition: all 0.3s ease 0s;
    -ms-transition: all 0.3s ease 0s;
    transition: all 0.3s ease 0s;
}
.main-timeline .timeline-content:before{
    content: "";
    border-left: 7px solid  #15c149;
    border-top: 7px solid transparent;
    border-bottom: 7px solid transparent;
    position: absolute;
    left: 45%;
    top: 20px;
}
.main-timeline .title{
    font-size: 30px;
    font-weight: 300;
    color: #fff;
    padding: 10px;
    background:  #15c149;
    border-radius: 3px 3px 0 0;
    margin: -20px -20px 10px;
}
.main-timeline .description{
    font-size: 14px;
    color: #726f77;
}
.main-timeline .read-more{
    display: inline-block;
    font-size: 12px;
    color: #2fdd86;
    text-transform: uppercase;
    padding: 5px 15px;
    border: 2px solid #2fdd86;;
    position: relative;
    border-radius: 5px;
    -webkit-box-shadow: 2px 2px 0 #2fdd86;;
    -moz-box-shadow: 2px 2px 0 #2fdd86;;
    -ms-box-shadow: 2px 2px 0 #2fdd86;;
    box-shadow: 2px 2px 0 #2fdd86;;
}
.main-timeline .read-more:hover{
    top: 2px;
    left: 2px;
    box-shadow: none;
}
.main-timeline .timeline-content.right{
    float: right;
}
.main-timeline .timeline-content.right:before{
    content: "";
    right: 45%;
    left: inherit;
    border-left: 0;
    border-right: 7px solid  #15c149;
}
@media only screen and (max-width: 990px){
    .main-timeline .title{
        font-size: 25px;
    }
    .main-timeline .timeline-content::before{
        top: 16px;
    }
}
@media only screen and (max-width: 767px){
    .main-timeline{ margin-left: 20px; }
    .main-timeline:before{ left: 0; }
    .main-timeline .timeline-content{
        width: 90%;
        float: right;
    }
    .main-timeline .timeline-content:before,
    .main-timeline .timeline-content.right:before{
        left: 10%;
        right: inherit;
        margin-left: -6px;
        border-left: 0;
        border-right: 7px solid #15c149;
    }
    .main-timeline .timeline-icon{
        left: 0;
    }
}
@media only screen and (max-width: 479px){
    .main-timeline .timeline-content{
        width: 85%;
    }
    .main-timeline .timeline-content:before,
    .main-timeline .timeline-content.right:before{
        left: 15%;
    }
    .main-timeline .title{
        font-size: 20px;
    }
    .main-timeline .timeline-content:before{
        top: 13px;
    }
}

/* status */

.status-form-input{
    margin:10px;
}

.status-form-textarea{
    margin:10px;
}

.btn-submit{
    margin:10px;
}

.table-form{
    margin:30px;
}

/* accordion */
@font-face {
    font-family: "JF Flat Regular";
    src: url('https://f9ir.github.io/acc/acc/font/JF-Flat-regular.eot');
    src: url('https://f9ir.github.io/acc/acc/font/JF-Flat-regular.eot?#iefix') format('embedded-opentype'), url('https://f9ir.github.io/acc/acc/font/JF-Flat-regular.svg#JF Flat Regular') format('svg'), url('https://f9ir.github.io/acc/acc/font/JF-Flat-regular.woff') format('woff'), url('https://f9ir.github.io/acc/acc/font/JF-Flat-regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
  }

  * {
    margin: 0;
    padding: 0;
  }
  .accordion {
    padding: 50px;
    /* width: 380px; */
    background: rgb(156, 253, 224);
    cursor: pointer;
  }

  .accordion2 {
    padding: 50px;
    /* width: 380px; */
    background: white;
    cursor: pointer;
  }

  .accordion .item {
    height: 100px;
  }
  .accordion .item h3 {
    display: inline-block;
    vertical-align: middle;
    height: 100%;
    padding-left: 50px;
    font-family: "JF Flat Regular";
    font-size: 20px;
    font-weight: 400;
  }
  .accordion .item img {
    padding-left: 15px;
    /* width: 30px; */
    vertical-align: middle;
  }
  .accordion .item h3:before {
    content: "";
    display: inline-block;
    vertical-align: middle;
    height: 100%;
  }
  .accordion .item:first-of-type {
    background: #0d6b3c;
    color: #74f4c3;
  }
  .accordion .item:nth-of-type(2) {
    background: #16a15c;
    color: #74f4c3;
  }
  .accordion .item:last-of-type {
    background: #1cc470;
    color: #74f4c3;
  }

  .accordion2 .item:first-of-type {
    background: #5c3b0b;
    color: #f2be75;
  }
  .accordion2 .item:nth-of-type(2) {
    background: #98600f;
    color: #f2be75;
  }
  .accordion2 .item:last-of-type {
    background: #c37910;
    color: #f2be75;
  }

  .accordion ul {
    font-family: "JF Flat Regular";
    font-size: 18px;
    font-weight: 400;
    padding: 15px;
    display: none;
    box-shadow: inset 0 3px 7px rgba(0, 0, 0, 0.2);
  }
  .accordion li{
      margin: 20px;
  }

  .accordion ul:first-of-type {
    background: #0d6b3c;
    color: #74f4c3;
  }
  .accordion ul:nth-of-type(2) {
    background: #16a15c;
    color: #74f4c3;
  }
  .accordion ul:last-of-type {
    background: #1cc470;
    color: #74f4c3;
  }

  .accordion2 ul:first-of-type {
    background: #5c3b0b;
    color: #f2be75;
  }
  .accordion2 ul:nth-of-type(2) {
    background: #98600f;
    color: #f2be75;
  }
  .accordion2 ul:last-of-type {
    background: #c37910;
    color: #f2be75;
  }

  /* spinner */
  #loader {
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: 1;
    width: 150px;
    height: 150px;
    margin: -75px 0 0 -75px;
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #3498db;
    width: 120px;
    height: 120px;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
  }
  
  @-webkit-keyframes spin {
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
  }
  
  @keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
  }
  
  /* Add animation to "page content" */
  .animate-bottom {
    position: relative;
    -webkit-animation-name: animatebottom;
    -webkit-animation-duration: 1s;
    animation-name: animatebottom;
    animation-duration: 1s
  }
  
  @-webkit-keyframes animatebottom {
    from { bottom:-100px; opacity:0 } 
    to { bottom:0px; opacity:1 }
  }
  
  @keyframes animatebottom { 
    from{ bottom:-100px; opacity:0 } 
    to{ bottom:0; opacity:1 }
  }
  
  #myDiv {
    display: none;
  }

  /* spinner2 */
  @keyframes spin {
    0% {
        transform:rotate(0deg); 
    }
    25% {
        transform:rotate(90deg); 
    }
    50% {
        transform:rotate(180deg); 
    }
    75% {
        transform:rotate(270deg); 
    }
    100% {
        transform:rotate(360deg); 
    }
}

@keyframes verticalPulse {
    0% {
        top: 50%;
    }
    12.5% {
        top: 25%;
    }
    25% {
        top: 0%;
    }
    37.5% {
        top: 25%;
    }
    50% {
        top: 50%;
    }
    62.5% {
        top: 75%;
    }
    75% {
        top: 100%;
    }
    87.5% {
        top: 75%;
    }
    100% {
        top: 50%;
    }
}

@keyframes horizontalPulse {
    0% {
        left: 50%;
    }
    12.5% {
        left: 25%;
    }
    25% {
        left: 0%;
    }
    37.5% {
        left: 25%;
    }
    50% {
        left: 50%;
    }
    62.5% {
        left: 75%;
    }
    75% {
        left: 100%;
    }
    87.5% {
        left: 75%;
    }
    100% {
        left: 50%;
    }
}

/* body {
    background-color: #454749;
    margin: 0 0 0 0;
    height: 100vh;
    width: 100vw;
} */

#spinner {
    position: fixed;
    width: 200px;
    height: 200px;
    top: 50%;
    left: 50%;
    margin-top: -100px;
    margin-left: -100px;
    animation: spin 2s 0s linear infinite forwards;
}

.green {
    position: absolute;
    width: 20px;
    height: 20px;
    left: 50%;
    margin-top: -10px;
    margin-left: -10px;
    background-color: #00bc8c;
    border-radius: 50%;
    animation: verticalPulse 3s 0s linear infinite forwards;
}

.orange {
    position: absolute;
    width: 20px;
    height: 20px;
    top: 50%;
    margin-top: -10px;
    margin-left: -10px;
    background-color: #F39C12;
    border-radius: 50%;
    animation: horizontalPulse 3s 0s linear infinite forwards;
}

.blue {
    position: absolute;
    width: 20px;
    height: 20px;
    left: 50%;
    margin-top: -10px;
    margin-left: -10px;
    background-color: #3498DB;
    border-radius: 50%;
    animation: verticalPulse 3s 0s linear infinite reverse;
}

.red {
    position: absolute;
    width: 20px;
    height: 20px;
    top: 50%;
    margin-top: -10px;
    margin-left: -10px;
    background-color: #E74C3C;
    border-radius: 50%;
    animation: horizontalPulse 3s 0s linear infinite reverse;
}

/* Book */

.book-list{
    padding: 4vmax;
}

.book-list ::before,
::after {
	content: "";
}

.book-list ul {
	margin: 0;
	padding: 0;
	list-style: none;
}

.book-list a {
	color: #2c3e50;
	text-decoration: none;
}

.book-list .btn {
	display: inline-block;
	text-transform: uppercase;
	border: 2px solid #2c3e50;
	margin-top: 100px; 
	font-size: 0.7em;
	font-weight: 700;
	padding: 0.1em 0.4em;
	text-align: center;
	-webkit-transition: color 0.3s, border-color 0.3s;
	-moz-transition: color 0.3s, border-color 0.3s;
	transition: color 0.3s, border-color 0.3s;
}

.book-list .btn:hover {
	border-color: #16a085;
	color: #16a085;
}

/* basic grid, only for this demo */

.book-list .align {
	clear: both;
	margin: 90px auto 20px;
	width: 100%;
	max-width: 1170px;
	text-align: center;
}

.book-list .align > li {
	width: 500px;
	min-height: 300px;
	display: inline-block;
	margin: 40px;
	padding: 0 0 0 6vmax;
	vertical-align: top;
}

/* ///////////////////////////////////////////////////

HARDCOVER
Table of Contents

1. container
2. background & color
3. opening cover, back cover and pages
4. position, transform y transition
5. events
6. Bonus
	- Cover design
	- Ribbon
	- Figcaption
7. mini-reset

/////////////////////////////////////////////////////*/

/*
	1. container
*/

.book {
	position: relative;
	width: 160px; 
	height: 220px;
	-webkit-perspective: 1000px;
	-moz-perspective: 1000px;
	perspective: 1000px;
	-webkit-transform-style: preserve-3d;
	-moz-transform-style: preserve-3d;
	transform-style: preserve-3d;
}

/*
	2. background & color
*/

/* HARDCOVER FRONT */
.hardcover_front li:first-child {
	background-color: #eee;
	-webkit-backface-visibility: hidden;
	-moz-backface-visibility: hidden;
	backface-visibility: hidden;
}

/* reverse */
.hardcover_front li:last-child {
	background: #fffbec;
}

/* HARDCOVER BACK */
.hardcover_back li:first-child {
	background: #fffbec;
}

/* reverse */
.hardcover_back li:last-child {
	background: #fffbec;
}

.book_spine li:first-child {
	background: #eee;
}
.book_spine li:last-child {
	background: #333;
}

/* thickness of cover */

.hardcover_front li:first-child:after,
.hardcover_front li:first-child:before,
.hardcover_front li:last-child:after,
.hardcover_front li:last-child:before,
.hardcover_back li:first-child:after,
.hardcover_back li:first-child:before,
.hardcover_back li:last-child:after,
.hardcover_back li:last-child:before,
.book_spine li:first-child:after,
.book_spine li:first-child:before,
.book_spine li:last-child:after,
.book_spine li:last-child:before {
	background: #999;
}

/* page */

.page > li {
	background: -webkit-linear-gradient(left, #e1ddd8 0%, #fffbf6 100%);
	background: -moz-linear-gradient(left, #e1ddd8 0%, #fffbf6 100%);
	background: -ms-linear-gradient(left, #e1ddd8 0%, #fffbf6 100%);
	background: linear-gradient(left, #e1ddd8 0%, #fffbf6 100%);
	box-shadow: inset 0px -1px 2px rgba(50, 50, 50, 0.1), inset -1px 0px 1px rgba(150, 150, 150, 0.2);
	border-radius: 0px 5px 5px 0px;
}

/*
	3. opening cover, back cover and pages
*/

.hardcover_front {
	-webkit-transform: rotateY(-34deg) translateZ(8px);
	-moz-transform: rotateY(-34deg) translateZ(8px);
	transform: rotateY(-34deg) translateZ(8px);
	z-index: 100;
}

.hardcover_back {
	-webkit-transform: rotateY(-15deg) translateZ(-8px);
	-moz-transform: rotateY(-15deg) translateZ(-8px);
	transform: rotateY(-15deg) translateZ(-8px);
}

.page li:nth-child(1) {
	-webkit-transform: rotateY(-28deg);
	-moz-transform: rotateY(-28deg);
	transform: rotateY(-28deg);
}

.page li:nth-child(2) {
	-webkit-transform: rotateY(-30deg);
	-moz-transform: rotateY(-30deg);
	transform: rotateY(-30deg);
}

.page li:nth-child(3) {
	-webkit-transform: rotateY(-32deg);
	-moz-transform: rotateY(-32deg);
	transform: rotateY(-32deg);
}

.page li:nth-child(4) {
	-webkit-transform: rotateY(-34deg);
	-moz-transform: rotateY(-34deg);
	transform: rotateY(-34deg);
}

.page li:nth-child(5) {
	-webkit-transform: rotateY(-36deg);
	-moz-transform: rotateY(-36deg);
	transform: rotateY(-36deg);
}

/*
	4. position, transform & transition
*/

.hardcover_front,
.hardcover_back,
.book_spine,
.hardcover_front li,
.hardcover_back li,
.book_spine li {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	-webkit-transform-style: preserve-3d;
	-moz-transform-style: preserve-3d;
	transform-style: preserve-3d;
}

.hardcover_front,
.hardcover_back {
	-webkit-transform-origin: 0% 100%;
	-moz-transform-origin: 0% 100%;
	transform-origin: 0% 100%;
}

.hardcover_front {
	-webkit-transition: all 0.8s ease, z-index 0.6s;
	-moz-transition: all 0.8s ease, z-index 0.6s;
	transition: all 0.8s ease, z-index 0.6s;
}

/* HARDCOVER front */
.hardcover_front li:first-child {
	cursor: default;
	-webkit-user-select: none;
	-moz-user-select: none;
	user-select: none;
	-webkit-transform: translateZ(2px);
	-moz-transform: translateZ(2px);
	transform: translateZ(2px);
}

.hardcover_front li:last-child {
	-webkit-transform: rotateY(180deg) translateZ(2px);
	-moz-transform: rotateY(180deg) translateZ(2px);
	transform: rotateY(180deg) translateZ(2px);
}

/* HARDCOVER back */
.hardcover_back li:first-child {
	-webkit-transform: translateZ(2px);
	-moz-transform: translateZ(2px);
	transform: translateZ(2px);
}

.hardcover_back li:last-child {
	-webkit-transform: translateZ(-2px);
	-moz-transform: translateZ(-2px);
	transform: translateZ(-2px);
}

/* thickness of cover */
.hardcover_front li:first-child:after,
.hardcover_front li:first-child:before,
.hardcover_front li:last-child:after,
.hardcover_front li:last-child:before,
.hardcover_back li:first-child:after,
.hardcover_back li:first-child:before,
.hardcover_back li:last-child:after,
.hardcover_back li:last-child:before,
.book_spine li:first-child:after,
.book_spine li:first-child:before,
.book_spine li:last-child:after,
.book_spine li:last-child:before {
	position: absolute;
	top: 0;
	left: 0;
}

/* HARDCOVER front */
.hardcover_front li:first-child:after,
.hardcover_front li:first-child:before {
	width: 4px;
	height: 100%;
}

.hardcover_front li:first-child:after {
	-webkit-transform: rotateY(90deg) translateZ(-2px) translateX(2px);
	-moz-transform: rotateY(90deg) translateZ(-2px) translateX(2px);
	transform: rotateY(90deg) translateZ(-2px) translateX(2px);
}

.hardcover_front li:first-child:before {
	-webkit-transform: rotateY(90deg) translateZ(158px) translateX(2px);
	-moz-transform: rotateY(90deg) translateZ(158px) translateX(2px);
	transform: rotateY(90deg) translateZ(158px) translateX(2px);
}

.hardcover_front li:last-child:after,
.hardcover_front li:last-child:before {
	width: 4px;
	height: 160px;
}

.hardcover_front li:last-child:after {
	-webkit-transform: rotateX(90deg) rotateZ(90deg) translateZ(80px) translateX(-2px) translateY(-78px);
	-moz-transform: rotateX(90deg) rotateZ(90deg) translateZ(80px) translateX(-2px) translateY(-78px);
	transform: rotateX(90deg) rotateZ(90deg) translateZ(80px) translateX(-2px) translateY(-78px);
}
.hardcover_front li:last-child:before {
	box-shadow: 0px 0px 30px 5px #333;
	-webkit-transform: rotateX(90deg) rotateZ(90deg) translateZ(-140px) translateX(-2px) translateY(-78px);
	-moz-transform: rotateX(90deg) rotateZ(90deg) translateZ(-140px) translateX(-2px) translateY(-78px);
	transform: rotateX(90deg) rotateZ(90deg) translateZ(-140px) translateX(-2px) translateY(-78px);
}

/* thickness of cover */

.hardcover_back li:first-child:after,
.hardcover_back li:first-child:before {
	width: 4px;
	height: 100%;
}

.hardcover_back li:first-child:after {
	-webkit-transform: rotateY(90deg) translateZ(-2px) translateX(2px);
	-moz-transform: rotateY(90deg) translateZ(-2px) translateX(2px);
	transform: rotateY(90deg) translateZ(-2px) translateX(2px);
}
.hardcover_back li:first-child:before {
	-webkit-transform: rotateY(90deg) translateZ(158px) translateX(2px);
	-moz-transform: rotateY(90deg) translateZ(158px) translateX(2px);
	transform: rotateY(90deg) translateZ(158px) translateX(2px);
}

.hardcover_back li:last-child:after,
.hardcover_back li:last-child:before {
	width: 4px;
	height: 160px;
}

.hardcover_back li:last-child:after {
	-webkit-transform: rotateX(90deg) rotateZ(90deg) translateZ(80px) translateX(2px) translateY(-78px);
	-moz-transform: rotateX(90deg) rotateZ(90deg) translateZ(80px) translateX(2px) translateY(-78px);
	transform: rotateX(90deg) rotateZ(90deg) translateZ(80px) translateX(2px) translateY(-78px);
}

.hardcover_back li:last-child:before {
	box-shadow: 10px -1px 80px 20px #666;
	-webkit-transform: rotateX(90deg) rotateZ(90deg) translateZ(-140px) translateX(2px) translateY(-78px);
	-moz-transform: rotateX(90deg) rotateZ(90deg) translateZ(-140px) translateX(2px) translateY(-78px);
	transform: rotateX(90deg) rotateZ(90deg) translateZ(-140px) translateX(2px) translateY(-78px);
}

/* BOOK SPINE */
.book_spine {
	-webkit-transform: rotateY(60deg) translateX(-5px) translateZ(-12px);
	-moz-transform: rotateY(60deg) translateX(-5px) translateZ(-12px);
	transform: rotateY(60deg) translateX(-5px) translateZ(-12px);
	width: 16px;
	z-index: 0;
}

.book_spine li:first-child {
	-webkit-transform: translateZ(2px);
	-moz-transform: translateZ(2px);
	transform: translateZ(2px);
}

.book_spine li:last-child {
	-webkit-transform: translateZ(-2px);
	-moz-transform: translateZ(-2px);
	transform: translateZ(-2px);
}

/* thickness of book spine */
.book_spine li:first-child:after,
.book_spine li:first-child:before {
	width: 4px;
	height: 100%;
}

.book_spine li:first-child:after {
	-webkit-transform: rotateY(90deg) translateZ(-2px) translateX(2px);
	-moz-transform: rotateY(90deg) translateZ(-2px) translateX(2px);
	transform: rotateY(90deg) translateZ(-2px) translateX(2px);
}

.book_spine li:first-child:before {
	-webkit-transform: rotateY(-90deg) translateZ(-12px);
	-moz-transform: rotateY(-90deg) translateZ(-12px);
	transform: rotateY(-90deg) translateZ(-12px);
}

.book_spine li:last-child:after,
.book_spine li:last-child:before {
	width: 4px;
	height: 16px;
}

.book_spine li:last-child:after {
	-webkit-transform: rotateX(90deg) rotateZ(90deg) translateZ(8px) translateX(2px) translateY(-6px);
	-moz-transform: rotateX(90deg) rotateZ(90deg) translateZ(8px) translateX(2px) translateY(-6px);
	transform: rotateX(90deg) rotateZ(90deg) translateZ(8px) translateX(2px) translateY(-6px);
}

.book_spine li:last-child:before {
	box-shadow: 5px -1px 100px 40px rgba(0, 0, 0, 0.2);
	-webkit-transform: rotateX(90deg) rotateZ(90deg) translateZ(-210px) translateX(2px) translateY(-6px);
	-moz-transform: rotateX(90deg) rotateZ(90deg) translateZ(-210px) translateX(2px) translateY(-6px);
	transform: rotateX(90deg) rotateZ(90deg) translateZ(-210px) translateX(2px) translateY(-6px);
}

.page,
.page > li {
	position: absolute;
	top: 0;
	left: 0;
	-webkit-transform-style: preserve-3d;
	-moz-transform-style: preserve-3d;
	transform-style: preserve-3d;
}

.page {
	width: 100%;
	height: 98%;
	top: 1%;
	left: 3%;
	z-index: 10;
}

.page > li {
	width: 100%;
	height: 100%;
	-webkit-transform-origin: left center;
	-moz-transform-origin: left center;
	transform-origin: left center;
	-webkit-transition-property: transform;
	-moz-transition-property: transform;
	transition-property: transform;
	-webkit-transition-timing-function: ease;
	-moz-transition-timing-function: ease;
	transition-timing-function: ease;
}

.page > li:nth-child(1) {
	-webkit-transition-duration: 0.6s;
	-moz-transition-duration: 0.6s;
	transition-duration: 0.6s;
}

.page > li:nth-child(2) {
	-webkit-transition-duration: 0.6s;
	-moz-transition-duration: 0.6s;
	transition-duration: 0.6s;
}

.page > li:nth-child(3) {
	-webkit-transition-duration: 0.4s;
	-moz-transition-duration: 0.4s;
	transition-duration: 0.4s;
}

.page > li:nth-child(4) {
	-webkit-transition-duration: 0.5s;
	-moz-transition-duration: 0.5s;
	transition-duration: 0.5s;
}

.page > li:nth-child(5) {
	-webkit-transition-duration: 0.6s;
	-moz-transition-duration: 0.6s;
	transition-duration: 0.6s;
}

/*
	5. events
*/

.book:hover > .hardcover_front {
	-webkit-transform: rotateY(-145deg) translateZ(0);
	-moz-transform: rotateY(-145deg) translateZ(0);
	transform: rotateY(-145deg) translateZ(0);
	z-index: 0;
}

.book:hover > .page li:nth-child(1) {
	-webkit-transform: rotateY(-30deg);
	-moz-transform: rotateY(-30deg);
	transform: rotateY(-30deg);
	-webkit-transition-duration: 1.5s;
	-moz-transition-duration: 1.5s;
	transition-duration: 1.5s;
}

.book:hover > .page li:nth-child(2) {
	-webkit-transform: rotateY(-35deg);
	-moz-transform: rotateY(-35deg);
	transform: rotateY(-35deg);
	-webkit-transition-duration: 1.8s;
	-moz-transition-duration: 1.8s;
	transition-duration: 1.8s;
}

.book:hover > .page li:nth-child(3) {
	-webkit-transform: rotateY(-118deg);
	-moz-transform: rotateY(-118deg);
	transform: rotateY(-118deg);
	-webkit-transition-duration: 1.6s;
	-moz-transition-duration: 1.6s;
	transition-duration: 1.6s;
}

.book:hover > .page li:nth-child(4) {
	-webkit-transform: rotateY(-130deg);
	-moz-transform: rotateY(-130deg);
	transform: rotateY(-130deg);
	-webkit-transition-duration: 1.4s;
	-moz-transition-duration: 1.4s;
	transition-duration: 1.4s;
}

.book:hover > .page li:nth-child(5) {
	-webkit-transform: rotateY(-140deg);
	-moz-transform: rotateY(-140deg);
	transform: rotateY(-140deg);
	-webkit-transition-duration: 1.2s;
	-moz-transition-duration: 1.2s;
	transition-duration: 1.2s;
}

/*
	6. Bonus
*/

/* cover CSS */

.coverDesign {
	position: absolute;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	overflow: hidden;
	-webkit-backface-visibility: hidden;
	-moz-backface-visibility: hidden;
	backface-visibility: hidden;
}

.coverDesign::after {
	background-image: -webkit-linear-gradient( -135deg, rgba(255, 255, 255, 0.45) 0%, transparent 100%);
	background-image: -moz-linear-gradient( -135deg, rgba(255, 255, 255, 0.45) 0%, transparent 100%);
	background-image: linear-gradient( -135deg, rgba(255, 255, 255, 0.45) 0%, transparent 100%);
	position: absolute;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
}

.coverDesign h1 {
	color: #fff;
	font-size: 2.2em;
	letter-spacing: 0.05em;
	text-align: center;
	margin: 54% 0 0 0;
	text-shadow: -1px -1px 0 rgba(0,0,0,0.1);
}

.coverDesign p {
	color: #f8f8f8;
	font-size: 1em;
	text-align: center;
	text-shadow: -1px -1px 0 rgba(0,0,0,0.1);
}

.yellow {
	background-color: #f1c40f;
	background-image: -webkit-linear-gradient(top, #f1c40f 58%, #e7ba07 0%);
	background-image: -moz-linear-gradient(top, #f1c40f 58%, #e7ba07 0%);
	background-image: linear-gradient(top, #f1c40f 58%, #e7ba07 0%);
}

.blue {
	background-color: #3498db;
	background-image: -webkit-linear-gradient(top, #3498db 58%, #2a90d4 0%);
	background-image: -moz-linear-gradient(top, #3498db 58%, #2a90d4 0%);
	background-image: linear-gradient(top, #3498db 58%, #2a90d4 0%);
}

.grey {
	background-color: #f8e9d1;
	background-image: -webkit-linear-gradient(top, #f8e9d1 58%, #e7d5b7 0%);
	background-image: -moz-linear-gradient(top, #f8e9d1 58%, #e7d5b7 0%);
	background-image: linear-gradient(top, #f8e9d1 58%, #e7d5b7 0%);
}

/* Basic ribbon */

.ribbon {
	background: #c0392b;
	color: #fff;
	display: block;
	font-size: 0.7em;
	position: absolute;
	top: 11px;
	right: 1px;
	width: 40px;
	height: 20px;
	line-height: 20px;
	letter-spacing: 0.15em; 
	text-align: center;
	-webkit-transform: rotateZ(45deg) translateZ(1px);
	-moz-transform: rotateZ(45deg) translateZ(1px);
	transform: rotateZ(45deg) translateZ(1px);
	-webkit-backface-visibility: hidden;
	-moz-backface-visibility: hidden;
	backface-visibility: hidden;
	z-index: 10;
}

.ribbon::before,
.ribbon::after{
	position: absolute;
	top: -20px;
	width: 0;
	height: 0;
	border-bottom: 20px solid #c0392b;
	border-top: 20px solid transparent;
}

.ribbon::before{
	left: -20px;
	border-left: 20px solid transparent;
}

.ribbon::after{
	right: -20px;
	border-right: 20px solid transparent;
}

/* figcaption */

figcaption {
	padding-left: 40px;
	text-align: left;
	position: absolute;
	top: 0%;
	left: 160px;
	width: 310px;
}

figcaption h1 {
	margin: 0;
}

figcaption span {
	color: #16a085;
	padding: 0.6em 0 1em 0;
	display: block;
}

figcaption p {
	color: #63707d;
	line-height: 1.3;
}

/* Media Queries */
@media screen and (max-width: 37.8125em) {
	.align > li {
		width: 100%;
		min-height: 440px;
		height: auto;
		padding: 0;
        margin: 0 0 30px 0;
	}

	.book {
        margin: 0 auto;
/* margin-right: 400px; */
	}

	figcaption {
		text-align: center;
		max-width: 320px;
		top: 250px;
		padding-left: 0;
		left: -160px;
        font-size: 90%;
    }
    
    .list{
        /* position: relative;
        margin-bottom: 5vmax; */
    }
}

.table-book, .counter-fav{
    text-align: left;
    margin: 5vmax;
}

.fav-btn{
    margin:10px;
}

.regist-form{
    /* background-image: url("https://media.giphy.com/media/3og0IQBUqHDBQOJWFO/giphy.gif"); */
    /* background-color: palegreen; */
    background-size:100%;
    padding:10vmax;
}

.card-body{
    background-color: #7CFE8D;
}